<script lang="ts">
  import MainLayout from 'layouts/MainLayout';
  import StartKanban from 'components/StartKanban';
  import { kanbans } from 'stores/authStore';
  import KanbanCard from 'components/KanbanCard';
</script>

<MainLayout>
  {#if $kanbans?.length}
    <div class="w-full h-[15%] absolute top-16 flex justify-center gap-8">
      <div class="w-2/3 grid grid-cols-3 gap-4">
        {#each $kanbans as { name, shortId, collaborators }}
          <KanbanCard {name} {shortId} collaboratorCount={collaborators?.length} />
        {/each}
      </div>
    </div>
  {/if}
  <div class="w-full flex justify-center absolute top-1/2 -translate-y-1/2">
    <StartKanban />
  </div>
</MainLayout>
